LINUX.ORG.RU

Не устанавливается PyQt

 , ,


1

1

Пытаюсь установить PyQt в Debian. Добрался до make install. Не устанавливается - получаю много таких ошибок

cd QtCore/ && ( test -e Makefile || /usr/lib/x86_64-linux-gnu/qt5/bin/qmake /media/truecrypt1/downloads/PyQt-gpl-5.5.1/QtCore/QtCore.pro -o Makefile ) && make -f Makefile install
make[1]: Entering directory '/media/truecrypt1/downloads/PyQt-gpl-5.5.1/QtCore'
install -m 644 -p /media/truecrypt1/downloads/PyQt-gpl-5.5.1/QtCore/QtCore.so /usr/lib/python2.7/dist-packages/PyQt5/
install -m 755 -p /media/truecrypt1/downloads/PyQt-gpl-5.5.1/sip/QtCore/qabstractanimation.sip /usr/share/sip/PyQt5/QtCore/
strip /usr/share/sip/PyQt5/QtCore/qabstractanimation.sip
strip:/usr/share/sip/PyQt5/QtCore/qabstractanimation.sip: File format not recognized
Makefile:2008: recipe for target 'install_sip' failed
make[1]: [install_sip] Error 1 (ignored)
install -m 755 -p /media/truecrypt1/downloads/PyQt-gpl-5.5.1/sip/QtCore/qabstracteventdispatcher.sip /usr/share/sip/PyQt5/QtCore/
strip /usr/share/sip/PyQt5/QtCore/qabstracteventdispatcher.sip
strip:/usr/share/sip/PyQt5/QtCore/qabstracteventdispatcher.sip: File format not recognized
Makefile:2008: recipe for target 'install_sip' failed
make[1]: [install_sip] Error 1 (ignored)
install -m 755 -p /media/truecrypt1/downloads/PyQt-gpl-5.5.1/sip/QtCore/qabstractitemmodel.sip /usr/share/sip/PyQt5/QtCore/
strip /usr/share/sip/PyQt5/QtCore/qabstractitemmodel.sip
strip:/usr/share/sip/PyQt5/QtCore/qabstractitemmodel.sip: File format not recognized


Пытаюсь установить PyQt в Debian.

sudo apt-get install pyqt5-dev-tools
fluorite ★★★★★ ()
Последнее исправление: fluorite (всего исправлений: 1)
Ответ на: комментарий от aarexer

Насколько я помню, там надо поставить сначала SIP, потом скачать сам Qt5, а потом уже ставить PyQt5. Ты так делал? Как в инструкции с офф сайта?

Sip поставил. Тот который через apt-get устанавливался, не подходил - версия недостаточная. Скачал через браузер и установил через make install. Qt5 есть. Дальше делал как в инструкции.

user08 ()
Ответ на: комментарий от user08

А всякие g++ у тебя стоит?

Предлагаю вот что. Опиши как ты ставил SIP, покажи его версию. После этого скажи где у тебя лежит(установлен) Qt5(у меня, например, в /opt/Qt5). После чего приведи то, как ты ставишь PyQt5.

aarexer ()
Последнее исправление: aarexer (всего исправлений: 1)
Ответ на: комментарий от aarexer

Sip через apt-get версия недостаточна. Скачал и сделал ./configure make make install. А PyQt как в инструкции написано. Ошибки получаю на этапе make install.

user08 ()
Ответ на: комментарий от user08

Когда-то давно тоже проблема была с этим PyQt, я делал так, при этом я еще компилял третий питон, это думаю, можешь пропустить:

Установка Qt5 и PyQt5.
Итак, мы хотим поставить PyQt5, при том, что у нас стабильная ветка Debian. Хотим собрать из src. Порядок действий будет такой.
1. Установка Python3
Прежде всего надо поставить себе Python3.
Для этого выкачиваем его с офф сайта, распаковываем архив. Теперь заходим и делаем все немного не так, как в  инструкции.

./configure —enable-shared
make
make test
#make install либо $sudo make install 

Возможно также потребуется  установить переменную
LD_LIBRARY_PATH, которая будет указывать на /usr/local/lib

export LD_LIBRARY_PATH='/usr/local/lib/' 

Это потребуется, если будет выскакивать ошибка 
error while loading shared libraries: libpython2.4.so.1.0: \
 cannot open shared object file: No such file or directory
Так мы подскажем где искать эту библиотеку.

Теперь, когда мы поставили Python3 перейдем к установке Qt5.

Тут все просто как два пальца, вы скачиваете с офф сайта онлайн инсталятор, даете ему права на исполнение(это скрипт обычный) и запускаете.
Тут такой момент может возникнуть.

Запускать можно от рута или от пользователя. Запуская от рута — будет по умолчанию ставиться в /opt/, иначе в /home/%username%/

С qt5 в общем то и все.
Теперь ставим pyqt5.

Опять же качаем все с сайта.
Далее, по инструкции следует такая строчка:
python configure.py.
Python — это интерпретатор python-а, под который вы собираете библиотеку. Мы используем python3, у меня он установлен как python3.3.


Если у вас уже установлена библиотека qt4 или pyqt4, например, вы пользователь debian stable системы. Тогда надо указать явно qmake, именно для qt5 который. Он расположен в каталоге, куда вы ставили qt5, в bin подкаталоге. В моем случае это:
/opt/Qt5.2/5.2.1/gcc_64/bin/qmake

Команда будет выглядеть так:
python3.3 configure.py --qmake /opt/Qt5.2/5.2.1/gcc_64/bin/qmake 
Либо можно, но не желательно, просто удалить старый qmake и создать ссылку на новый в /usr/bin/qmake.

Далее уже make и make install от рута, перед этим неплохо было бы создать переменную, указывающую где у нас лежит pyqt5. export PYTHONPATH='/opt/Qt5.2/5.2.1/gcc_64/plugins/' 
/opt/Qt5.2/5.2.1/gcc_64/plugins/ 

Попробуй?

aarexer ()
Ответ на: комментарий от aarexer
In file included from ../qpy/QtCore/qpycore_api.h:30:0,
                 from qpycore_post_init.cpp:25:
../qpy/QtCore/qpycore_public_api.h:26:17: fatal error: sip.h: No such file or directory
 #include <sip.h>
                 ^
compilation terminated.

sudo apt-get install sip-dev не помогло.

user08 ()
Последнее исправление: user08 (всего исправлений: 1)
Ответ на: комментарий от aarexer

Хорошо, а ты куда sip ставил?

Я просто сделал ./configure, make, make install.

Сделал поиск этого файла. Скопировал из python2.7 в python3.4 и сейчас make в процессе...

user08 ()
Последнее исправление: user08 (всего исправлений: 5)
Ответ на: комментарий от user08

Ну понимаешь, что если ты из исходников собираешь, то не надо уже апт-гет доставлять что-то. Сделай какой-нибудь

which sip

aarexer ()
Ответ на: комментарий от user08

Не помогло, те же ошибки.

Товарищ намекает, что в бинарных дистрибутивах нельзя делать make install, а команда которую он привел устанавливает уже скомпилированную библиотеку.

CrossFire ★★★★★ ()
Ответ на: комментарий от aarexer

Оказывается PyQt в apt-get'е есть. И похоже что он у меня даже уже установлен.

user08 ()
Ответ на: комментарий от user08

Первое что надо делать перед тем как что-то компилять - это какой-нибудь

dpkg -l | grep pyqt5

aarexer ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.